contact/urls.py
from django.urls import path

from . import views

app_name = 'contact'

urlpatterns = [
    path('', views.contact, name='contact'),
]

kegiatan/urls.py
from django.urls import path

from . import views

app_name = 'kegiatan'

urlpatterns = [
    path('', views.index, name='index'),
    path('create/', views.create, name='create'),
    path('tambahPeserta/<int:kegiatan_id>/', views.tambahPeserta, name='tambahPeserta'),
]

kuliah/urls.py
from django.urls import path

from . import views

app_name = 'kuliah'

urlpatterns = [
    path('', views.index, name='index'),
    path('create/', views.create, name='create'),
    path('delete/<int:delete_id>/', views.delete, name='delete'),
    path('detail/<int:detail_id>/', views.detail, name='detail'),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
]

story7/urls.py
from django.urls import path

from . import views

app_name = 'story7'

urlpatterns = [
    path('', views.index, name='index'),
]

story_1/urls.py
from django.urls import path

from . import views

app_name = 'story_1'

urlpatterns = [
    path('', views.story_1, name='story_1'),
]

story_4/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('contact/', include('contact.urls')),
    path('story_1/', include('story_1.urls')),
    path('kuliah/', include('kuliah.urls')),
    path('story7/', include('story7.urls')),
]

story_6/urls.py
from django.urls import path

from . import views

app_name = 'story_6'

urlpatterns = [
    path('', views.index, name='index'),
    path('add_kegiatan/', views.add_kegiatan, name='add_kegiatan'),
    path('add_peserta/<int:kegiatan_id>/', views.add_peserta, name='add_peserta'),
]

contact/models.py
from django.db import models

# Create your models here.

kegiatan/models.py
from django.db import models

# Create your models here.
class Peserta(models.Model):
    Nama_Peserta = models.CharField(max_length=100)

    def __str__(self):
        return self.Nama_Peserta

class Kegiatan(models.Model):
    Nama_Kegiatan = models.CharField(max_length=100)
    Daftar_Peserta = models.ManyToManyField(to=Peserta)

    def __str__(self):
        return self.Nama_Kegiatan


kuliah/models.py
from django.db import models

# Create your models here.
from .validators import validate_sks
class Kuliah(models.Model):
    Mata_Kuliah       = models.CharField(max_length = 100)
    Dosen_Pengajar    = models.CharField(max_length = 100)
    Jumlah_SKS        = models.CharField(
        max_length = 10,
        validators = [validate_sks]
        )
    Deskripsi         = models.TextField()
    Ruang_Kelas       = models.CharField(max_length = 100)
    Semester_Tahun    = models.CharField(max_length = 100)
    def __str__(self):
        return "{}.{}".format(self.id, self.Mata_Kuliah)

main/models.py
from django.db import models

# Create your models here.

story7/models.py
from django.db import models

# Create your models here.

story_1/models.py
from django.db import models

# Create your models here.

story_6/models.py
from django.db import models

# Create your models here.
class Peserta(models.Model):
    Nama_Peserta = models.CharField(max_length=100)

    def __str__(self):
        return self.Nama_Peserta

class Kegiatan(models.Model):
    Nama_Kegiatan = models.CharField(max_length=100)
    Daftar_Peserta = models.ManyToManyField(to=Peserta)

    def __str__(self):
        return self.Nama_Kegiatan


kegiatan/forms.py
from django import forms
from .models import Kegiatan, Peserta

class KegiatanForm(forms.ModelForm):
    class Meta:
        model = Kegiatan
        fields = [
            'Nama_Kegiatan',
            'Daftar_Peserta',
        ]
class PesertaForm(forms.ModelForm):
    class Meta:
        model = Peserta
        fields = [
            'Nama_Peserta',
        ]

kuliah/forms.py
from django import forms
from .models import Kuliah

class KuliahForm(forms.ModelForm):
    class Meta:
        model = Kuliah
        fields = [
            'Mata_Kuliah',
            'Dosen_Pengajar',
            'Jumlah_SKS',
            'Deskripsi',
            'Ruang_Kelas',
            'Semester_Tahun',
        ]

story_6/forms.py
from django import forms
from .models import Kegiatan, Peserta

class KegiatanForm(forms.ModelForm):
    class Meta:
        model = Kegiatan
        fields = [
            'Nama_Kegiatan',
        ]
        

class PesertaForm(forms.ModelForm):
    class Meta:
        model = Peserta
        fields = [
            'Nama_Peserta',
        ]

contact/views.py
from django.shortcuts import render


def contact(request):
    return render(request, 'contact/contact.html')

kegiatan/views.py
from django.shortcuts import render, redirect
from .forms import KegiatanForm, PesertaForm
from .models import Kegiatan, Peserta


def index(request):
    semua_kegiatan = Kegiatan.objects.all()

    context = {
        'semua_kegiatan':semua_kegiatan,
    }
    return render(request, 'kegiatan/index.html', context)

def create(request):
    kegiatan_form = KegiatanForm(request.POST or None)
    if request.method == 'POST':
        if kegiatan_form.is_valid():
            kegiatan_form.save()

            return redirect('kegiatan:index')
    
    context = {
        'kegiatan_form':kegiatan_form,
    }
    return redirect('kegiatan:index', context)

def tambahPeserta(request, kegiatan_id):
    peserta_form = PesertaForm(request.POST or None)
    kegiatan = Kegiatan.objects.get(id=kegiatan_id)
    if (request.method == 'POST'):
        if peserta_form.is_valid():
            peserta_form.save()

            return redirect('kegiatan:index')

kuliah/views.py
from django.shortcuts import render, redirect

from .forms import KuliahForm
from .models import Kuliah


def index(request):
    semua_kuliah = Kuliah.objects.all()

    context = {
        'semua_kuliah':semua_kuliah,
    }

    return render(request, 'kuliah/index.html', context)

def create(request):
    kuliah_form = KuliahForm(request.POST or None)
    if request.method == 'POST':
        if kuliah_form.is_valid():
            kuliah_form.save()

            return redirect('kuliah:index')
    
    context = {
        'kuliah_form':kuliah_form,
    }
    return render(request, 'kuliah/create.html', context)

def delete(request, delete_id):
    Kuliah.objects.filter(id=delete_id).delete()
    return redirect('kuliah:index')

def detail(request, detail_id):
    kuliah_detail = Kuliah.objects.get(id=detail_id)
    context = {
        'kuliah_detail':kuliah_detail,
    }
    return render(request, 'kuliah/detail.html', context)

main/views.py
from django.shortcuts import render


def home(request):
    return render(request, 'main/home.html')

story7/views.py
from django.shortcuts import render, redirect

def index(request):
    return render(request, 'story7/story7.html')

story_1/views.py
from django.shortcuts import render


def story_1(request):
    return render(request, 'story_1/story_1.html')

story_6/views.py
from django.shortcuts import render, redirect

from .forms import KegiatanForm, PesertaForm
from .models import Kegiatan, Peserta


def index(request):
    semua_kegiatan = Kegiatan.objects.all()

    context = {
        'semua_kegiatan':semua_kegiatan,
    }

    return render(request, 'story_6/index.html', context)

def add_kegiatan(request):
    kegiatan_form = KegiatanForm(request.POST or None)
    if request.method == 'POST':
        if kegiatan_form.is_valid():
            kegiatan_form.save()

            return redirect('story_6:index')
    
    context = {
        'kegiatan_form':kegiatan_form,
    }
    return render(request, 'story_6/add_kegiatan.html', context)

def add_peserta(request, kegiatan_id):
    
    peserta_form = PesertaForm(request.POST or None)
    if request.method == 'POST':
        if peserta_form.is_valid():
            kegiatan = Kegiatan.objects.get(id=kegiatan_id)
            kegiatan.Daftar_Peserta.add(peserta_form)
            return redirect('story_6:index')
    
    context = {
        'peserta_form':peserta_form,
    }
    return render(request, 'story_6/add_peserta.html', context)

contact/templates/contact/contact.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>CONTACT | FARHAN</title>
{% endblock meta %}

{% block content %}
    <section id="contact" class="contact bg-light mb-0">
          <div class="container">
      <div class="row mb-5 text-center">
        <div class="col">
          <h1>Contact Us</h1>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <form class="form mx-5">
            <div class="row">
              <div class="col">
                <div class="form-group">
                  <label for="Name">Name</label>
                  <input type="text" class="form-control" id="Name">
                </div>
              </div>
              <div class="col">
                <div class="form-group">
                  <label for="Email">Email</label>
                  <input type="text" class="form-control" id="Email">
                </div>
              </div>
            </div>

            <div class="row">
              <div class="col">
                <div class="form-group">
                  <label for="Subject">Subject</label>
                  <input type="text" class="form-control" id="Subject">
                </div>
                <div class="form-group">
                  <label for="Message">Message</label>
                  <textarea name="Message" class="form-control" id="Message"></textarea>
                </div>
              </div>
            </div>
            <div class="form-group">
              <button type="button" class="btn btn-primary">SEND</button>
            </div>
            
          </form>
        </div>
      </div>
    </div>
    </section>
{% endblock content %}

kegiatan/templates/kegiatan/index.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>KEGIATAN | FARHAN</title>
{% endblock meta %}

{% block content %}

<section id="kegiatan" class="kegiatan">
<div class="container">
    <h1 style="text-align:center">Daftar Kegiatan</h1>

    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal" data-whatever="@mdo">Tambah Kegiatan</button>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Tambah Kegiatan</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <form method='POST'>
                {% csrf_token %}      
            <div class="form-group">
                <label for="recipient-name" class="col-form-label">Nama Kegiatan:</label>
                <input type="text" class="form-control" name='Nama_Kegiatan'>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                <button type="Submit" class="btn btn-primary">Tambahkan</button>
            </div>
            </form>
        </div>
        
        </div>
    </div>
    </div>
    <br>

    {% for kegiatan in semua_kegiatan %}
    <div class="card" style="width: 18rem;">
        <div class="card-header">
          {{kegiatan.Nama_Kegiatan}}
        </div>
        <ul class="list-group list-group-flush">
            {% for peserta in kegiatan.Daftar_Peserta.all %}
            <li class="list-group-item">{{Daftar_Peserta.Nama_Peserta}}</li>
        </ul>
            {% endfor %}
            <li class="list-group-item"></li>
      </div>
    {% endfor %}
</div>
</section>

{% endblock content %}

kuliah/templates/kuliah/create.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>KULIAH | FARHAN</title>
{% endblock meta %}

{% block content %}
<section id="create" class="create">
<div class="container">
<h1 style="text-align:center">Tambah Mata Kuliah</h1>
    <form method='POST'>
        {% csrf_token %}
        <table>
        {{kuliah_form.as_table}}
        </table>
        <button type="Submit">Tambahkan</button>
    </form>
</div>
</section>
{% endblock content %}

kuliah/templates/kuliah/detail.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>KULIAH | FARHAN</title>
{% endblock meta %}

{% block content %}

<section id="kuliah" class="kuliah">
<div class="container">
    <h1 style="text-align:center">Mata Kuliah</h1>
    <div class="table-responsive-lg">
        <table class="table table-striped">
        <tr>
            <th scope="col">Mata Kuliah</th>
            <td>{{kuliah_detail.Mata_Kuliah}}</td>
        </tr>
        <tr>
            <th scope="col">Dosen Pengajar</th>
            <td>{{kuliah_detail.Dosen_Pengajar}}</td>
        </tr>
        <tr>
            <th scope="col">Deskripsi</th>
            <td>{{kuliah_detail.Deskripsi}}</td>
        </tr>
        <tr>
            <th scope="col">Jumlah SKS</th>
            <td>{{kuliah_detail.Jumlah_SKS}}</td>
        </tr>
        <tr>
            <th scope="col">Ruang Kelas</th>
            <td>{{kuliah_detail.Ruang_Kelas}}</td>
        </tr>
        <tr>
            <th scope="col">Semester Tahun</th>
            <td>{{kuliah_detail.Semester_Tahun}}</td>
        </tr>
        
    </table>
    </div>
</div>
</section>

{% endblock content %}

kuliah/templates/kuliah/index.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>KULIAH | FARHAN</title>
{% endblock meta %}

{% block content %}

<section id="kuliah" class="kuliah">
<div class="container">
    <h1 style="text-align:center">Daftar Kuliah</h1>
    <div class="table-responsive-lg">
        <table class="table table-striped">
    <thead>
        <tr>
        <th scope="col">#</th>
        <th scope="col">Mata Kuliah</th>
        <th scope="col">Hapus</th>
        </tr>
    </thead>
    <tbody>
    {% for matkul in semua_kuliah%}
        <tr>
        <th scope="row">{{forloop.counter}}</th>
        <td><a href="{% url 'kuliah:detail' matkul.id%}" title="">{{matkul.Mata_Kuliah}}</a></td>
        <td><a class="btn btn-danger" href="{% url 'kuliah:delete' matkul.id%}" title="">Hapus</a></td>
        </tr>
        {% endfor %}
    </tbody>
    </table>
    </div>
<a class="btn btn-primary" href="{% url 'kuliah:create' %}">Tambah</a>
</div>
</section>

{% endblock content %}

story7/templates/story7/story7.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">

  <script src="https://kit.fontawesome.com/f1aec82d06.js" crossorigin="anonymous"></script>
  <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
  <title>Story 7</title>
  <div class="container-fluid py-5">
    <div class="header">
      <div class="container d-flex justify-content-center">
        <h1>Story 7</h1>
      </div>
      <div class="container text-center">
          <h2>Accordion</h2>
      </div>
    </div>
  </div>
  
  <div class="container ">
    <div class="text-center">
      <div class="wrapper">
        
        <div class="acc-item">
          <div class="acc-header">
            <div class="float-right">
              <i class="fas fa-chevron-circle-up move-up"></i>
              <i class="fas fa-chevron-circle-down move-down"></i>
            </div>
            <div class="title">
              Aktivitas Saat Ini
            </div>
          </div>
          <div class="acc-body">
            <p>Kuliah dan tidur.</p>
          </div>
        </div>
        
        <div class="acc-item">
          <div class="acc-header">
            <div class="float-right">
              <i class="fas fa-chevron-circle-up move-up"></i>
              <i class="fas fa-chevron-circle-down move-down"></i>
            </div>
            <div class="title">
              Pengalaman Kerja
            </div>
          </div>
          <div class="acc-body">
            <p>Belum ada</p>
          </div>
        </div>
        
        <div class="acc-item">
          <div class="acc-header">
            <div class="float-right">
              <i class="fas fa-chevron-circle-up move-up"></i>
              <i class="fas fa-chevron-circle-down move-down"></i>
            </div>
            <div class="title">
              Prestasi
            </div>
          </div>
          <div class="acc-body">
            <p>Belum ada</p>
          </div>
        </div>
        
        <div class="acc-item">
          <div class="acc-header">
            <div class="float-right">
              <i class="fas fa-chevron-circle-up move-up"></i>
              <i class="fas fa-chevron-circle-down move-down"></i>
            </div>
            <div class="title">
              Hobi
            </div>
          </div>
          <div class="acc-body">
            <p>Sedang mencari</p>
          </div>
        </div>
        
      </div>
    </div>
  </div>
  <script src="{% static 'js/accordion.js' %}"></script>
</head>

<body>

</body>

</html>

story_1/templates/story_1/story_1.html

{% load static %}

{% block meta %}
<title>STORY_1 | FARHAN</title>
{% endblock meta %}

{% block content %}
    <h1>Profil Saya</h1>
        <img style="width:200px" src="{% static 'img/pasPhoto.jpg' %}">
        <p>
    <table cellspacing="10" cellpadding="1">
    <tbody>
    <tr>
    <td>Nama</td>
    <td >: Muhammad Farhan</td>
    </tr>
    <tr>
    <td >Panggilan</td>
    <td >: Farhan</td>
    </tr>
    <tr>
    <td > Jurusan - Angkatan</td>
    <td >: Sistem Informasi - 2019</td>
    </tr>
    <tr>
    <td >Universitas</td>
    <td >: Universitas Indonesia</td>
    </tr>
    <tr>
    <td >NPM</td>
    <td >: 1906399876</td>
    </tr>
    <tr>
    <td >Hobi</td>
    <td >: Membaca</td>
    </tr>
    <tr>
    <td >Social Media</td>
    <td >: <a href="https://www.linkedin.com/in/muhammad-farhan-/">Linkedin</a></td>
    </tr>
    </tbody>
    </table>
    </p>
{% endblock content %}

story_6/templates/story_6/add_kegiatan.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>KULIAH | FARHAN</title>
{% endblock meta %}

{% block content %}
<section id="add_kegiatan" class="add_kegiatan">
<div class="container">
<h1 style="text-align:center">Tambah Mata Kuliah</h1>
    <form method='POST'>
        {% csrf_token %}
        <table>
        {{kegiatan_form.as_table}}
        </table>
        <button type="Submit">Tambahkan</button>
    </form>
</div>
</section>
{% endblock content %}

story_6/templates/story_6/add_peserta.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>KULIAH | FARHAN</title>
{% endblock meta %}

{% block content %}
<section id="add_kegiatan" class="add_kegiatan">
<div class="container">
<h1 style="text-align:center">Tambah Mata Kuliah</h1>
    <form method='POST'>
        {% csrf_token %}
        <table>
        {{peserta_form.as_table}}
        </table>
        <button type="Submit">Tambahkan</button>
    </form>
</div>
</section>
{% endblock content %}

story_6/templates/story_6/index.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>KEGIATAN | FARHAN</title>
{% endblock meta %}

{% block content %}

<section id="kegiatan" class="kegiatan">
<div class="container">
    <h1 style="text-align:center">Daftar Kegiatan</h1>
    <a class="btn btn-primary" href="{% url 'story_6:add_kegiatan' %}">Tambah Kegiatan</a><br>
    <div class="card-deck">
    {% for kegiatan in semua_kegiatan%}
      <div class="card" style="width: 18rem;">
        <div class="card-header" style="text-align:center">
            <b>{{kegiatan.Nama_Kegiatan}}</b>
        </div>
        <ul class="list-group list-group-flush">
            {% for peserta in kegiatan.Daftar_Peserta.all %}
            <li class="list-group-item">{{peserta.Nama_Peserta}}</li>
            {% endfor %}
        </ul>
        <a href="{% url 'story_6:add_peserta' kegiatan.id%}" class="btn btn-primary">Tambah Peserta</a>
      </div>
    {% endfor %}
    </div>

</div>
</section>

{% endblock content %}